# Uses of Class
org.eclipse.emf.compare.ide.ui.dependency.DependencyProviderDescriptor

Packages that use DependencyProviderDescriptor
Package
Description
org.eclipse.emf.compare.ide.ui.dependency

## Uses of DependencyProviderDescriptor in org.eclipse.emf.compare.ide.ui.dependency

Methods in org.eclipse.emf.compare.ide.ui.dependency that return DependencyProviderDescriptor
Modifier and Type
Method
Description
`DependencyProviderDescriptor`
ModelDependencyProviderRegistry.`removeProvider(String className)`
Removes the `DependencyProviderDescriptor` and its managed `IDependencyProvider` identified by the given `className` from this registry.
Methods in org.eclipse.emf.compare.ide.ui.dependency with parameters of type DependencyProviderDescriptor
Modifier and Type
Method
Description
`void`
ModelDependencyProviderRegistry.`addProvider(String className, DependencyProviderDescriptor descriptor)`
Adds the given `DependencyProviderDescriptor` to this registry, using the given `className` as the identifier.